/*
 * Copyright (C) 2010, 2011, 2012 Freescale Semiconductor, Inc.
 * All rights reserved.
 *
 * This software may be distributed under the terms of the
 * GNU General Public License ("GPL") as published by the Free Software
 * Foundation, either version 2 of that License or (at your option) any
 * later version.
 *
 * THIS SOFTWARE IS PROVIDED BY Freescale Semiconductor ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL Freescale Semiconductor BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef PMR_CPU_V1_H
#define PMR_CPU_V1_H

#include "common.h"

#define E500_PMLCA_FC_MASK		0x80000000
#define E500_PMLCA_FC_SHIFT		31
#define E500_PMLCA_FCS_MASK		0x40000000
#define E500_PMLCA_FCS_SHIFT		30
#define E500_PMLCA_FCU_MASK		0x20000000
#define E500_PMLCA_FCU_SHIFT		29
#define E500_PMLCA_FCM1_MASK		0x10000000
#define E500_PMLCA_FCM1_SHIFT		28
#define E500_PMLCA_FCM0_MASK		0x08000000
#define E500_PMLCA_FCM0_SHIFT		27
#define E500_PMLCA_CE_MASK		0x04000000
#define E500_PMLCA_CE_SHIFT		26

#ifdef CORE_E6500 /* CORE_E6500 must be defined externally */
#define E500_PMLCA_EVENT_MASK		0x01FF0000
#else
#define E500_PMLCA_EVENT_MASK		0x00FF0000
#endif
#define E500_PMLCA_EVENT_SHIFT		16

#define E500_PMLCA_FCGS1_MASK		0x00000002
#define E500_PMLCA_FCGS1_SHIFT		1
#define E500_PMLCA_FCGS0_MASK		0x00000001
#define E500_PMLCA_FCGS0_SHIFT		0


#define E500_PMLCB_TRIGONCTL_MASK	0xF0000000
#define E500_PMLCB_TRIGONCTL_SHIFT	28
#define E500_PMLCB_TRIGOFFCTL_MASK	0x0F000000
#define E500_PMLCB_TRIGOFFCTL_SHIFT	24
#define E500_PMLCB_PMCC_MASK		0x00800000
#define E500_PMLCB_PMCC_SHIFT		23
#define E500_PMLCB_PMP_MASK		0x0000E000
#define E500_PMLCB_PMP_SHIFT		13
#define E500_PMLCB_THRESHMUL_MASK	0x0000700
#define E500_PMLCB_THRESHMUL_SHIFT	8
#define E500_PMLCB_THRESHOLD_MASK	0x0000003F
#define E500_PMLCB_THRESHOLD_SHIFT	0


#endif  /* PMR_CPU_V1_H */
